Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class Line

    java.lang.Object
      ij.gui.Roi
          ij.gui.Line

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Line
extends Roi

This class represents a straight line selection.

See Also:
  Serialized Form

Field Summary
`int` | `x1`
`double` | `x1d`
`int` | `x2`
`double` | `x2d`
`int` | `y1`
`double` | `y1d`
`int` | `y2`
`double` | `y2d`

Fields inherited from class ij.gui.Roi
`ANGLE, cachedMask, center, clipboard, clipHeight, clipWidth, clipX, clipY, COMPOSITE, constrain, CONSTRUCTING, FREELINE, FREEROI, HANDLE_SIZE, handleColor, ic, imp, instanceColor, LINE, mag, MOVING, MOVING_HANDLE, name, NORMAL, NOT_PASTING, oldHeight, oldWidth, oldX, oldY, OVAL, pasteMode, POINT, POLYGON, POLYLINE, previousRoi, RECTANGLE, RESIZING, ROIColor, TRACED_ROI, type, updateFullWindow, xMax, yMax`

Constructor Summary
`Line(int sx, int sy, ImagePlus imp)` Starts the process of creating a new user-generated straight line selection.
`Line(int ox1, int oy1, int ox2, int oy2)` Creates a new straight line selection using the specified starting and ending screen coordinates.
`Line(int ox1, int oy1, int ox2, int oy2, ImagePlus imp)` Obsolete

Method Summary
`boolean` | `contains(int x, int y)`
`void` | `draw(java.awt.Graphics g)` Draws this line in the image.
`void` | `drawPixels(ImageProcessor ip)` Draws the selection outline on the specified ImageProcessor.
`java.awt.Rectangle` | `getBounds()` Return the bounding rectangle of this line.
`double` | `getLength()` Returns the length of this line.
`double[]` | `getPixels()` Returns the pixel values along this line.
`java.awt.Polygon` | `getPolygon()` Returns the outline of this selection as a Polygon, or null if this is a straight line selection.
`double` | `getRawLength()` Returns the length of this line in pixels.
`static int` | `getWidth()`
`protected void` | `grow(int sx, int sy)`
`int` | `isHandle(int sx, int sy)` Returns a handle number if the specified screen coordinates are inside or near a handle, otherwise returns -1.
`protected void` | `mouseDownInHandle(int handle, int sx, int sy)`
`protected void` | `moveHandle(int sx, int sy)`
`void` | `nudgeCorner(int key)` Nudge end point of line by one pixel.
`static void` | `setWidth(int w)`

Methods inherited from class ij.gui.Roi
`abortPaste, clone, drawPixels, endPaste, equals, getAngle, getBoundingRect, getColor, getCurrentPasteMode, getFeretsDiameter, getMask, getName, getPasteMode, getState, getType, getTypeAsString, handleMouseDown, handleMouseDrag, handleMouseUp, isArea, isLine, isVisible, nudge, setColor, setImage, setInstanceColor, setLocation, setName, setPasteMode, showStatus, startPaste, toString, update, updateClipRect`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x1

    public int x1

### y1

    public int y1

### x2

    public int x2

### y2

    public int y2

### x1d

    public double x1d

### y1d

    public double y1d

### x2d

    public double x2d

### y2d

    public double y2d

Constructor Detail

### Line

    public Line(int ox1,
                int oy1,
                int ox2,
                int oy2)

  Creates a new straight line selection using the specified starting and ending screen coordinates.

### Line

    public Line(int sx,
                int sy,
                ImagePlus imp)

  Starts the process of creating a new user-generated straight line selection. 'sx' and 'sy' are screen coordinates that specify the start of the line. The user will determine the end of the line interactively using rubber banding.

### Line

    public Line(int ox1,
                int oy1,
                int ox2,
                int oy2,
                ImagePlus imp)

  Obsolete

Method Detail

### grow

    protected void grow(int sx,
                        int sy)

  Overrides:
    `grow` in class `Roi`

### moveHandle

    protected void moveHandle(int sx,
                              int sy)

  Overrides:
    `moveHandle` in class `Roi`

### mouseDownInHandle

    protected void mouseDownInHandle(int handle,
                                     int sx,
                                     int sy)

  Overrides:
    `mouseDownInHandle` in class `Roi`

### draw

    public void draw(java.awt.Graphics g)

  Draws this line in the image.

  Overrides:
    `draw` in class `Roi`

### getLength

    public double getLength()

  Returns the length of this line.

  Overrides:
    `getLength` in class `Roi`

### getRawLength

    public double getRawLength()

  Returns the length of this line in pixels.

### getPixels

    public double[] getPixels()

  Returns the pixel values along this line.

### getPolygon

    public java.awt.Polygon getPolygon()

  Description copied from class: `Roi`
  Returns the outline of this selection as a Polygon, or null if this is a straight line selection.

  Overrides:
    `getPolygon` in class `Roi`
  See Also:
    `ImageProcessor.setRoi(java.awt.Rectangle)`, `ImageProcessor.drawPolygon(java.awt.Polygon)`, `ImageProcessor.fillPolygon(java.awt.Polygon)`

### drawPixels

    public void drawPixels(ImageProcessor ip)

  Description copied from class: `Roi`
  Draws the selection outline on the specified ImageProcessor.

  Overrides:
    `drawPixels` in class `Roi`
  See Also:
    `ImageProcessor.setColor(java.awt.Color)`, `ImageProcessor.setLineWidth(int)`

### contains

    public boolean contains(int x,
                            int y)

  Overrides:
    `contains` in class `Roi`

### isHandle

    public int isHandle(int sx,
                        int sy)

  Returns a handle number if the specified screen coordinates are inside or near a handle, otherwise returns -1.

  Overrides:
    `isHandle` in class `Roi`

### getWidth

    public static int getWidth()

### setWidth

    public static void setWidth(int w)

### getBounds

    public java.awt.Rectangle getBounds()

  Return the bounding rectangle of this line.

  Overrides:
    `getBounds` in class `Roi`

### nudgeCorner

    public void nudgeCorner(int key)

  Nudge end point of line by one pixel.

  Overrides:
    `nudgeCorner` in class `Roi`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD